// -*- C++ -*-
//
// ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
//
//                                   Jiao Lin
//                      California Institute of Technology
//                        (C) 2007  All Rights Reserved
//
// {LicenseText}
//
// ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
//

#ifndef MCCOMPONENTS_PHYSICS_CONSTANTS_H
#define MCCOMPONENTS_PHYSICS_CONSTANTS_H

namespace mccomponents{

  namespace physics {

    const double hbar = 1.05457148e-34;
    const double atomic_mass = 1.66053886e-27;
    const double e = 1.60217653e-19;
    const double atm = 1.013e5;
    const double pi = 3.1415926535897;

    //! Temperature to Energy
    const double Kelvin2meV = (1/11.605);

  } // physics::

} // mccomponents::


#endif 

// version
// $Id$

// End of file 
