
def factory( name='monitor_4pi' ):
    from mcstas2.bindings import boostpython
    from mcstas2.mcstas2bp import McStasComponentAsMcniComponent as component
    from Monitor_4PIboostpython import Monitor_4PI as _factory_mcvine
    return component( _factory_mcvine( name ) )

from mcstas2.utils.parsers.ComponentInfo import ComponentInfo, Parameter
info = ComponentInfo()
info_copyright = """Kim Lefmann and Kristian Nielsen"""
info.copyright = info_copyright
info_declare = """
    double Nsum;
    double psum,p2sum;
  """
info.declare = info_declare
info_finalize = """"""
info.finalize = info_finalize
info_full_description = """Counts ALL neutrons that propagate this far in the instrument, regardless
of origin or direction. Mostly used for test purposes."""
info.full_description = info_full_description
info_initialize = """
    Nsum = 0;
    psum = 0;
    p2sum = 0;
  """
info.initialize = info_initialize
item0 = Parameter()
item0_default = """monitor_4pi"""
item0.default = item0_default
item0_description = """component name"""
item0.description = item0_description
item0_name = """name"""
item0.name = item0_name
item0_type = """char *"""
item0.type = item0_type
info_input_parameters = [ item0 ]
info.input_parameters = info_input_parameters
info_name = """Monitor_4PI"""
info.name = info_name
info_output_parameters = [  ]
info.output_parameters = info_output_parameters
info_save = """
 //   DETECTOR_OUT_0D("4PI monitor " NAME_CURRENT_COMP, Nsum, psum, p2sum);
  """
info.save = info_save
item0 = """"""
item1 = """"""
info_share = [ item0, item1 ]
info.share = info_share
info_simple_description = """Monitor that detects ALL non-absorbed neutrons."""
info.simple_description = info_simple_description
item0 = """x"""
item1 = """y"""
item2 = """z"""
item3 = """vx"""
item4 = """vy"""
item5 = """vz"""
item6 = """t"""
item7 = """s1"""
item8 = """s2"""
item9 = """p"""
info_state_parameters = [ item0, item1, item2, item3, item4, item5, item6, item7, item8, item9 ]
info.state_parameters = info_state_parameters
info_trace = """
    Nsum++;
    psum += p;
    p2sum += p*p;
    SCATTER;
  """
info.trace = info_trace

factory.info = info
factory.__doc__ = str(info)
