#!/usr/bin/env python
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
#                                   Jiao Lin
#                      California Institute of Technology
#                        (C) 2007 All Rights Reserved  
#
# {LicenseText}
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#



import unittestX as unittest
import journal

debug = journal.debug( "IncoherentElastic_kernel_TestCase" )
warning = journal.warning( "IncoherentElastic_kernel_TestCase" )


import mcni
from mccomposite import mccompositebp 
from mccomponents import mccomponentsbp

class TestCase(unittest.TestCase):

    def test(self):
        atoms = mccomponentsbp.vector_AtomicScatterer(5)
        unitcell_vol = 30
        dw_core = 0.1
        scattering_xs = absorption_xs = 0

        kernel = mccomponentsbp.Phonon_IncoherentElastic_kernel(
            atoms,
            unitcell_vol,
            dw_core,
            scattering_xs, absorption_xs,
            )
            
        return

    pass  # end of TestCase

    
def pysuite():
    suite1 = unittest.makeSuite(TestCase)
    return unittest.TestSuite( (suite1,) )

def main():
    #debug.activate()
    pytests = pysuite()
    alltests = unittest.TestSuite( (pytests, ) )
    res = unittest.TextTestRunner(verbosity=2).run(alltests)
    import sys; sys.exit(not res.wasSuccessful())

    
    
if __name__ == "__main__":
    main()
    
# version
__id__ = "$Id: IncoherentElastic_kernel_TestCase.py 1126 2011-04-10 03:05:40Z linjiao $"

# End of file 
